## org.springframework.jca.work
Class DelegatingWork

    java.lang.Object
      org.springframework.jca.work.DelegatingWork

All Implemented Interfaces:
  Runnable, Work

    public class DelegatingWork

extends Object
implements Work

Simple Work adapter that delegates to a given Runnable.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  `Work`, `Runnable`

Constructor Summary
`DelegatingWork(Runnable delegate)` Create a new DelegatingWork.

Method Summary
`Runnable` `getDelegate()` Return the wrapped Runnable implementation.
`void` `release()` This implementation is empty, since we expect the Runnable to terminate based on some specific shutdown signal.
`void` `run()` Delegates execution to the underlying Runnable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingWork

    public DelegatingWork(Runnable delegate)

  Create a new DelegatingWork.

  Parameters:
    `delegate` - the Runnable implementation to delegate to

Method Detail

### getDelegate

    public final Runnable getDelegate()

  Return the wrapped Runnable implementation.

### run

    public void run()

  Delegates execution to the underlying Runnable.

  Specified by:
    `run` in interface `Runnable`

### release

    public void release()

  This implementation is empty, since we expect the Runnable to terminate based on some specific shutdown signal.

  Specified by:
    `release` in interface `Work`

Copyright © 2002-2008 The Spring Framework.